org.eclipse.ecf.core.events

## Class ContainerDisconnectedEvent

- java.lang.Object
- - org.eclipse.ecf.core.events.ContainerDisconnectedEvent

All Implemented Interfaces:
  IContainerDisconnectedEvent, IContainerEvent, Event

    public class ContainerDisconnectedEvent
    extends Object
    implements IContainerDisconnectedEvent

Container disconnected event.

### Constructor Summary

Constructors
Constructor and Description
`ContainerDisconnectedEvent(ID localContainerID, ID targetID)` Creates a new ContainerDisconnectedEvent to indicate that the container has now completely disconnected from its target host.

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).
`ID` `getTargetID()` Get ID of container target (the container we were disconnected from)
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerDisconnectedEvent

    public ContainerDisconnectedEvent(ID localContainerID,
                                      ID targetID)

Creates a new ContainerDisconnectedEvent to indicate that the container has now completely disconnected from its target host.

Parameters:
  `localContainerID` - the ID of the local container
  `targetID` - the ID of the target

### Method Detail

#### getTargetID

    public ID getTargetID()

Description copied from interface: `IContainerDisconnectedEvent`
Get ID of container target (the container we were disconnected from)

Specified by:
  `getTargetID` in interface `IContainerDisconnectedEvent`
Returns:
  ID the ID of the container were disconnected from. Will not be null.

#### getLocalContainerID

    public ID getLocalContainerID()

Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`